#ifndef _MYWINDOW_H
#define _MYWINDOW_H

	#include <InterfaceKit.h>

	#define MSG_PRZYSISK_1 '00'
	
	#define IN_1 'i01'
	#define IN_2 'i02'
	
	#define OUT_1 'o01'
	#define OUT_2 'o02'
	
	#define IN_PATH_TEXT 'f01'
	#define OUT_PATH_TEXT 'f02'
	
	class MyWindow : public BWindow
	{
		public:
			MyWindow(BRect frame,const char *title,window_look look,window_feel feel,uint32 flags,uint32 workspace = B_CURRENT_WORKSPACE);
			void MessageReceived(BMessage *message);
			virtual	bool 	QuitRequested();
		
		protected:
			BMenu *select_menu_in_type;
			BMenuField *select_in_type;
			
			BMenu *select_menu_in_endline;
			BMenuField *select_in_endline;
			
			BMenu *select_menu_out_type;
			BMenuField *select_out_type;
			
			BMenu *select_menu_out_endline;
			BMenuField *select_out_endline;
			
			BTextControl *in_path_text;
			BTextControl *out_path_text;
	};

	class utf_convert_gui : public BApplication
	{
		public:
			utf_convert_gui(const char *signature);
		
		protected:
			MyWindow		*_mywindow;
	};

#endif