#ifndef _CONVERT_H
#define _CONVERT_H


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*
// Define bool - if compiler not support
//typedef char bool;
#define	bool	char
#define	true	1
#define	false	0
*/

// Define Char - type for Unicode char
//typedef	long	Char;
#define	Char	long


// convert - <convert.cpp>
#define UTF7	0
#define UTF8	1
#define UTF16	2
#define UTF16be	3
#define UTF16le	4

extern int convert_in(
#ifdef __STDC__
	char	in_type,
	char	in_end_line_type,
	FILE	*in_file,
	char	out_type,
	char	out_end_line_type,
	FILE	*out_file
#endif
);
extern int convert_out(
#ifdef __STDC__
	Char	in_char,
	char	out_type,
	FILE	*out_file
#endif
);


// end line convert - <endline.cpp>
#define NOT	0
#define LF	1
#define CR	2
#define CRLF	3

extern int convert_end_line(
#ifdef __STDC__
	Char	in_char,
	char	in_end_line_type,

	char	out_type,
	char	out_end_line_type,
	FILE	*out_file
#endif
);


// utf7 - <utf7.cpp>
extern Char utf7_getc(
#ifdef __STDC__
	FILE	*f
#endif
);

extern int utf7_putc(
#ifdef __STDC__
	Char	wc,
	FILE	*f
#endif
);

// utf8 - <utf8.cpp>
extern Char utf8_getc(
#ifdef __STDC__
	FILE	*f
#endif
);
extern int utf8_putc(
#ifdef __STDC__
	Char	wc,
	FILE	*f
#endif
);

// utf16be i utf16le - <utf16.cpp>
extern Char utf16be_getc(
#ifdef __STDC__
	FILE	*f
#endif
);

int utf16be_putc(
#ifdef __STDC__
	Char	wc,
	FILE	*f
#endif
);

extern Char utf16le_getc(
#ifdef __STDC__
	FILE	*f
#endif
);

extern int utf16le_putc(
#ifdef __STDC__
	Char	wc,
	FILE	*f
#endif
);


#endif